Bug 119155 - No updates when a dependency can't be resolved
No updates when a dependency can't be resolved
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2004-03-25 14:01 EST by Horst H. von Brand
Modified: 2014-01-21 17:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-07 12:53:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2004-03-25 14:01:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
When you finds a package it can't install when given "yum update", it
doesn't install anything. It should install what can be installed, IMHO.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Use Arjan's 2.6 kernel stuff, have oprofile installed (has
dependency problem, reported earlier)
2. yum -y update

Actual Results:  Complains about dependency problem, no updates
installed even when there are some unrelated ones available.
Workaround is to update that stuff by hand (i.e., giving the explicit
package names).

Expected Results:  Install updates that don't have dependency trouble.

Additional info:
Comment 1 R P Herrold 2004-03-27 01:23:06 EST
The upstream developer community for this tool has its own development
mailing list; this suggestion has been made and rejected before.  See:
Comment 2 Jeff Johnson 2004-04-07 12:53:03 EDT
This is a yum design issue.

Note You need to log in before you can comment on or make changes to this bug.